@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Menuplan - Opret
@endsection

@section("path")
    <a href="{{ route('menu-plans.create') }}" class="text-white">Opret Menuplan</a> /
@endsection

@section("content")
    <style>
        .toggle__label::before, .toggle__label::after {
            border-color: black;
        }
        .toggle__text::before {
            border-color: black;
        }

        #editor {
            margin-bottom: 1rem;
        }
    </style>
    <h1 id="errormesseages" >Opret Menuplan:</h1>
    <form action="{{ action('MenuPlanController@store') }}" method="post" enctype="multipart/form-data">
        @csrf
        <label for="week">Uge nr.</label>
        <label hidden id="error" for="errormesseages">Menuplan findes allerede</label>
        <input type="number" name="week" id="week" min="1" max="53" placeholder="1" required>
        <label for="monday">Mandag:</label>
        <input type="text" name="monday" id="monday" placeholder="Hawaii Pizza" required>
        <label for="tuesday">Tirsdag:</label>
        <input type="text" name="tuesday" id="tuesday" placeholder="Pasta Bolognese" required>
        <label for="wednesday">Onsdag:</label>
        <input type="text" name="wednesday" id="wednesday" placeholder="Pandekager" required>
        <label for="thursday">Torsdag:</label>
        <input type="text" name="thursday" id="thursday" placeholder="Bøf med løg" required>
        <label class="toggle">
            <input class="toggle__input" id="isNews" type="checkbox" name="newsoption" onclick="change()">
            <span class="toggle__label">
                    <span class="toggle__text">Opret som nyhed</span>
                </span>
        </label>

        <label id="fileuploadee"for="fileuploade">Baggrundsbillede til nyheden (Valgfri):</label>
        <input id="fileuploade" type="file" name="resource" accept="image/*">


        <input type="submit" id="disable" class="btn btn-dark text-white" value="Opret Menuplan">
    </form>
@endsection
@section("scripts")
    <script>
        $(function() {
            $('form').areYouSure(
                {
                    message: 'It looks like you have been editing something. '
                        + 'If you leave before saving, your changes will be lost.'
                }
            );
        });

        function change() {
            if ($('#isNews').is(":checked"))
            {
                $('#fileuploade').show(400);
                $('#fileuploadee').show(200);
            }else {
                $('#fileuploade').hide();
                $('#fileuploadee').hide();
            }
        }
        change();

        //Dont delete me, if the user reloads the pages with text in the text-box this code runs.
        $(document).ready(function () {
            $value = $('#week').val();
            $.ajax({
                type: 'get',
                url: '{{route('menuplans.nameCheck')}}',
                data: {'nameCheck':$value},
                success:function (data) {
                    console.log(data);
                    if(data){
                        $("#error").show(100);
                        $("#error").css('color', 'red');
                        $("#disable").prop('disabled', true);
                        $('#disable').css('cursor','not-allowed');
                    }else{
                        $("#error").hide();
                        $("#disable").prop('disabled', false);
                        $('#disable').css('cursor','pointer');
                    }

                },
                error:function (data) {
                    console.log(data);
                }
            });
        });

        $('#week').on('keyup', function () {
            $value = $(this).val();
            $.ajax({
                type: 'get',
                url: '{{route('menuplans.nameCheck')}}',
                data: {'nameCheck':$value},
                success:function (data) {
                    if(data){
                        $("#error").show(100);
                        $("#error").css('color', 'red');
                        $("#disable").prop('disabled', true);
                        $('#disable').css('cursor','not-allowed');
                    }else{
                        $("#error").hide();
                        $("#disable").prop('disabled', false);
                        $('#disable').css('cursor','pointer');
                    }

                },
                error:function (data) {
                    console.log(data);
                }
            });
        })
    </script>
@endsection

